#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 quickcheck-classes
version:              0.6.5.0
visibility:           public
id:                   quickcheck-classes-0.6.5.0-Gl6KwmKl3HVEHokS1m1JV2
key:                  quickcheck-classes-0.6.5.0-Gl6KwmKl3HVEHokS1m1JV2
license:              BSD-3-Clause
copyright:            2018 Andrew Martin
maintainer:           andrew.thaddeus@gmail.com
author:               Andrew Martin, chessai
homepage:             https://github.com/andrewthad/quickcheck-classes#readme
synopsis:             QuickCheck common typeclasses
description:
    This library provides QuickCheck properties to ensure
    that typeclass instances adhere to the set of laws that
    they are supposed to. There are other libraries that do
    similar things, such as `genvalidity-hspec` and `checkers`.
    This library differs from other solutions by not introducing
    any new typeclasses that the user needs to learn.

    /Note:/ on GHC < 8.5, this library uses the higher-kinded typeclasses
    ('\''Data.Functor.Classes.Show1'\'', '\''Data.Functor.Classes.Eq1'\'', '\''Data.Functor.Classes.Ord1'\'', etc.),
    but on GHC >= 8.5, it uses `-XQuantifiedConstraints` to express these
    constraints more cleanly.

category:             Testing
abi:                  b157b01a226ee335155b618139ba8247
exposed:              True
exposed-modules:
    Test.QuickCheck.Classes Test.QuickCheck.Classes.IsList

hidden-modules:
    Test.QuickCheck.Classes.Alt Test.QuickCheck.Classes.Apply
    Test.QuickCheck.Classes.Euclidean Test.QuickCheck.Classes.Json
    Test.QuickCheck.Classes.MVector Test.QuickCheck.Classes.Plus
    Test.QuickCheck.Classes.Prim Test.QuickCheck.Classes.Semigroupoid
    Test.QuickCheck.Classes.Semiring Test.QuickCheck.Classes.Ring

import-dirs:          /usr/lib/ghc-9.0.1/site-local/quickcheck-classes-0.6.5.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/quickcheck-classes-0.6.5.0
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.1/quickcheck-classes-0.6.5.0

hs-libraries:         HSquickcheck-classes-0.6.5.0-Gl6KwmKl3HVEHokS1m1JV2
depends:
    QuickCheck-2.14.2-JiWzfNqvdmcIR4KVQ9LtVR
    aeson-1.5.6.0-HjRPlMbeXBZ4yuplu15455 base-4.15.0.0
    containers-0.6.4.1 primitive-0.7.2.0-DQiZ1lgcA292S6BuzoCrGU
    primitive-addr-0.1.0.2-JkznVULRDnUEnGPNj7KIoR
    quickcheck-classes-base-0.6.2.0-Cu1HhKXci7q6iYiGNvjfwm
    semigroupoids-5.3.5-714uOfytTa837elZx7SBCk
    semirings-0.6-BFUVABA75pqGoJPe1GVZQY transformers-0.5.6.2
    vector-0.12.3.1-KJ02XewdvWJHGa2GVFsQSX

haddock-interfaces:
    /usr/share/doc/haskell-quickcheck-classes/html/quickcheck-classes.haddock

haddock-html:         /usr/share/doc/haskell-quickcheck-classes/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

